aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-test-warn
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
commit153c89da6709d7330a271be726104bbbdfcc9858 (patch)
tree3abb00fd5739b15d1f027144d1cc77bfaceb904d /main/perl-test-warn
parent0d7c49b1e9decddf161bcb4e4c12ab46c0e794ec (diff)
downloadaports-153c89da6709d7330a271be726104bbbdfcc9858.tar.gz
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.bz2
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.xz
main/perl-*: moved to main
most of the have test scripts
Diffstat (limited to 'main/perl-test-warn')
-rw-r--r--main/perl-test-warn/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/main/perl-test-warn/APKBUILD b/main/perl-test-warn/APKBUILD
new file mode 100644
index 0000000000..f10f53d995
--- /dev/null
+++ b/main/perl-test-warn/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-test-warn
+_pkgreal=Test-Warn
+pkgver=0.23
+pkgrel=0
+pkgdesc="Perl extension to test methods for warnings "
+url="http://search.cpan.org/dist/Test-Warn/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-tree-dag_node perl-sub-uplevel"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="96e224cba15bf69b7513c08e70496457 Test-Warn-0.23.tar.gz"